package com.njcn.gather.system.cfg.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2025-03-25
 */
@Getter
public enum SceneEnum {
    /**
     * 省级平台
     */
    PROVINCE_PLATFORM("0", "province_platform"),

    /**
     * 设备出场
     */
    LEAVE_FACTORY_TEST("1", "leave_factory_test"),

    /**
     * 研发自测
     */
    SELF_TEST("2", "self_test");

    private String value;
    private String msg;

    SceneEnum(String value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public static SceneEnum getSceneEnum(String value) {
        for (SceneEnum sceneEnum : SceneEnum.values()) {
            if (sceneEnum.getValue().equals(value)) {
                return sceneEnum;
            }
        }
        return null;
    }
}
